-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               8.0.18 - MySQL Community Server - GPL
-- Server OS:                    Win64
-- HeidiSQL Version:             11.2.0.6213
-- --------------------------------------------------------
SET NAMES UTF8;
SET character_set_client = utf8;
SET character_set_results = utf8;
SET character_set_connection = utf8;

-- Dumping database structure for kuiqdb
DROP DATABASE IF EXISTS `kuiqdb`;
CREATE DATABASE IF NOT EXISTS `kuiqdb` /*!40100 DEFAULT CHARACTER SET latin1 */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `kuiqdb`;

-- Dumping structure for table kuiqdb.note
DROP TABLE IF EXISTS `note`;
CREATE TABLE IF NOT EXISTS `note` (
  `NoteId` bigint(20) NOT NULL AUTO_INCREMENT,
  `NoteCaption` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `NoteText` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `CreatedBy` bigint(20) NOT NULL,
  `CreatedDateTime` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `LastUpdatedBy` bigint(20) DEFAULT NULL,
  `LastUpdatedDateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `Deleted` enum('Y','N') DEFAULT 'N',
  `DeletedBy` bigint(20) DEFAULT NULL,
  `DeletedDateTime` datetime DEFAULT NULL,
  PRIMARY KEY (`NoteId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- Dumping data for table kuiqdb.note: ~5 rows (approximately)
/*!40000 ALTER TABLE `note` DISABLE KEYS */;
INSERT INTO `note` (`NoteId`, `NoteCaption`, `NoteText`, `CreatedBy`, `CreatedDateTime`, `LastUpdatedBy`, `LastUpdatedDateTime`, `Deleted`, `DeletedBy`, `DeletedDateTime`) VALUES
	(1, 'First Note', 'Vue Router is the official router for Vue. It deeply integrates with Vue core to make building Single Page Applications with Vue a breeze. Some of its popular features include:\r\n\r\n*Dynamic Route matching.\r\n*Named Routes.\r\n*Named views.\r\n*Programmatic navigation.\r\n*These features are heavily used when developing with Vue and this is because they are part of the basics you need to understand to efficiently use the Router. But the Vue Router has some very useful features that can be very helpful in development and in this article, we’re going to take a look at them.\r\n\r\nFor the purpose of this tutorial, we’re going to be building a simple application that would help in understanding some of the concepts covered in this article. You can find all the code used in this article on GitHub. If you are interested in doing more with the router, you’ll benefit from this tutorial.\r\n\r\n>Note: This article requires a basic understanding of Vuejs and Vue Router.\r\n\r\n##Scroll Behaviour\r\nThis is the behavior that is observed when navigating from one page to another. The default behavior of Vue router is only noticeable after scrolling to a position that isn’t the top of the page. This is because, by default, the scroll position when navigating away from a page is maintained on a new page. What this means is, if you click on a link that leads to a new route ( i.e from /home to /about) in a position that is let’s say close to the footer of the current page, the new page would start from that same position instead of starting from the top of the page.\r\n\r\nI have created a Vue application using the Vue CLI command vue create vue-router-demo, I also selected Vue Router as part of the options while setting up my app because we will be using it throughout this tutorial.\r\n\r\nWe will also need to make API calls to JSONPlaceholder, to illustrate some of the concepts using Vue router. For this, we will be using Axios. To install Axios:\r\n\r\n# using YARN\r\nyarn add axios\r\n# or NPM\r\nnpm install axios\r\nCopy\r\nAfter installing Axios, we can update our Home.vue to look like this:', 1, '2021-04-14 09:19:12', NULL, '2021-04-14 12:59:18', 'N', NULL, NULL),
	(2, 'Recipes', '# Recipes\r\n\r\n## Chicken\r\n\r\n### Chicken Soup\r\nBoil chicken in water.\r\n\r\n### Chicken curry\r\nFry onions and spices. Add chicken and water. Cook on high heat.', 1, '2021-04-14 09:40:58', NULL, NULL, 'N', NULL, NULL),
	(3, 'Vue Router', '# Even More Advanced Routing with Vue: Data Fetching\r\nIn the last post, More Advanced Routing with Vue, we covered using Transitions with Vue Router. This time we’ll cover Data Fetching with Vue Router.\r\n\r\nData Fetching allows us to load asynchronous data in our routed components. We can also specify whether data is fetched before or after a component is loaded. Both of these strategies are equally viable but have different implementations. We’ll cover both.\r\n\r\n## Vue Project Setup\r\nSince this is yet another post about advanced Vue Router techniques, we’ll assume you’re already familiar with the basic setup. However, let’s define a starting point that we’ll use for the rest of the post:\r\n\r\n## Yarn\r\n$ yarn add vue-router\r\n\r\n## npm\r\n$ npm install vue-router --save\r\n \r\nmain.js\r\n```\r\nimport Vue from \'vue\';\r\nimport VueRouter from \'vue-router\';\r\n\r\nimport App from \'./App\';\r\nimport Swamp from \'./components/Swamp\';\r\nimport Gator from \'./components/Gator\';\r\n\r\nVue.use(VueRouter);\r\n\r\nconst router = new VueRouter({\r\n  routes: [\r\n    { path: \'/swamp\', component: Swamp },\r\n    { path: \'/gator\', component: Gator }\r\n  ]\r\n});\r\n\r\nnew Vue({\r\n  render: h => h(App),\r\n  router\r\n}).$mount(\'#app\')\r\n```\r\n\r\nApp.vue\r\n```vue\r\n<template>\r\n  <div id="app">\r\n    <div class="nav">\r\n      <router-link to="/swamp">Swamp</router-link> |\r\n      <router-link to="/gator">Gator</router-link>\r\n    </div>\r\n    <hr />\r\n    <div class="router-view">\r\n      <router-view></router-view>\r\n    </div>\r\n  </div>\r\n</template>\r\n\r\n<script>\r\nexport default { name: \'App\' }\r\n</script>\r\n \r\ncomponents/Swamp.vue\r\n<template>\r\n  <div>Welcome to the Swamp, {{ name }}!</div>\r\n</template>\r\n\r\n<script>\r\nexport default {\r\n  name: \'Swamp\',\r\n  data() {\r\n    return { name: null }\r\n  },\r\n}\r\n</script>\r\n```\r\ncomponents/Gator.vue\r\n ```\r\n<template>\r\n  <div>Howdy, Gator {{ name }}!</div>\r\n</template>\r\n\r\n<script>\r\nexport default {\r\n  name: \'Gator\',\r\n  data() {\r\n    return { name: null }\r\n  }\r\n}\r\n</script>\r\n\r\n```', 1, '2021-04-14 12:08:45', NULL, '2021-04-14 16:09:56', 'N', NULL, NULL),
	(4, 'L\'adjectif', '# Adjectif qualificatif - cours\r\n\r\na/La nature de l\'adjectif qualificatif :\r\nC\'est  un mot qui sert à caractériser une personne , une chose/ Il est variable.\r\n\r\nb/les fonctions de l\'adjectif qualificatif :\r\nL\'adjectif qualificatif peut être épithète , apposé ou attribut.\r\n\r\n1) Adjectif épithète :\r\n\r\nIl est directement rattaché aux noms ou aux pronoms qu\'il caractérise. \r\nS\'il y a deux adjectifs séparés par une virgule, ils sont épithètes apposés, ils peuvent parfois être plus distants dans la phrase. \r\n\r\nEX :\r\n\r\nLes grandes décisions n\'ont pas été encore prises.\r\nDes sacs pleins de blé ont été dérobés.\r\n\r\n\r\n\r\n2) Adjectif attribut :\r\n\r\nOn appelle attribut l\'adjectif qualificatif qui caractérise des noms ou des pronoms par l\'intermédiaire d\'un verbe d\'état\r\n\r\nEX :\r\n\r\nCe vase est beau.\r\nIl paraît sincère.\r\nIl devenait turbulent\r\nElle est audacieuse.\r\n\r\n\r\nL\'adjectif qualificatif peut être employé comme adverbe.\r\n\r\nEX :\r\n\r\nCe livre coûte cher.\r\nIl marche droit.\r\nIls travaillent dur.\r\n\r\n\r\n\r\nc/L\'accord de l\'adjectif qualificatif :\r\n\r\nL\'adjectif qualificatif s\'accorde en genre et en nombre avec le nom ou le pronom auquel il se rapporte:\r\n\r\nEX :\r\n\r\nUne bonne parole.\r\n\r\nIls sont forts.\r\n\r\n\r\n\r\na-L\'adjectif qualificatif qui se rapporte à plusieurs noms ou pronoms se met au pluriel et prend le genre des mots qualifiés:\r\n\r\nEX:Une veste et un pantalon neufs.\r\n\r\n\r\n\r\nRemarque :  Le sens exige parfois que l\'accord n\'ait lieu qu\'avec le dernier nom :\r\n\r\nEX:Venez avec votre père et votre frère aîné.', 1, '2021-04-14 13:50:56', NULL, '2021-04-14 13:50:59', 'N', NULL, NULL),
	(5, 'বিশেষ ফ্লাইট চালু', 'সৌদি আরব, সংযুক্ত আরব আমিরাত (ইউএই), ওমান, কাতার ও সিঙ্গাপুরের জন্য শিগগিরই বিশেষ ফ্লাইট চালু করা হতে পারে বলে জানা গেছে। এ বিষয়ে বেসামরিক বিমান চলাচল কর্তৃপক্ষ (বেবিচক) বৃহস্পতিবার (১৫ এপ্রিল) বিস্তারিত কর্মপরিকল্পনা নিশ্চিত করবে।\r\n\r\nজানা গেছে, রিক্রুটিং এজেন্সিসমূহ বিদেশগামী যাত্রীদের করোনা নেগেটিভ সনদসহ স্বাস্থ্যবিধি মেনে এয়ারপোর্টে আনার দায়িত্ব পালন করবে।\r\n\r\nপ্রবাসী কর্মীরা কেবল জরুরি প্রয়োজনে সংশ্লিষ্ট বাংলাদেশ মিশনের ছাড়পত্র গ্রহণ করে এবং দেশে প্রযোজ্য কোয়ারেন্টাইনের শর্ত মেনে কোভিড নেগেটিভ সনদ নিয়ে দেশে আসতে পারবেন।\r\n\r\nবুধবার (১৪ এপ্রিল) পররাষ্ট্র সচিবের সভাপতিত্বে লকডাউনকালে বিদেশগামী কর্মীদের গন্তব্য দেশে যাওয়া বিষয়ে অনুষ্ঠিত সভায় এ সিদ্ধান্ত গ্রহণ করা হয়।\r\n\r\nসভায় প্রধানমন্ত্রীর কার্যালয়, প্রবাসী কল্যাণ ও বৈদেশিক কর্মসংস্থান মন্ত্রণালয় এবং বেসামরিক বিমান ও পর্যটন মন্ত্রণালয়ের সচিবরা, সিভিল অ্যাভিয়েশনের চেয়ারম্যান, বিমানের এমডিসহ পদস্থ কর্মকর্তারা উপস্থিত ছিলেন।', 1, '2021-04-14 16:19:31', NULL, '2021-04-14 16:35:33', 'N', NULL, NULL),
	(6, 'Мнение', '«Я хочу жить в повелительном причастии будущего, в залоге страдательном — в долженствующем быть. Так мне дышится. Так мне нравится». Современные управляющие крупнейшими инвестиционными фондами могли бы подписаться под этими словами Осипа Мандельштама о «повелительной глагольной тяге». Выбирая инструменты инвестирования, они все чаще идут дальше простого анализа соотношения риска и доходности и рассматривают ранее недооцененные и относительно долгосрочные риски через призму своих представлений о добром и прекрасном — об экологической, управленческой и социальной ответственности компаний.\r\n\r\n##ESG-революция в мировых финансах\r\nESG в мировых финансах быстро набирает обороты. \r\n\r\n>До конца 2020 г. \r\n\r\nстраны, на долю которых приходится 65% мирового выброса парниковых газов и 70% мировой экономики, приняли программы декарбонизации, включая не только Евросоюз с его «Зеленым пактом» (Green Deal), но и Китай (к 2060 г.), Японию (к 2050 г.) и Южную Корею (к 2050 г.); в США с приходом Байдена активизируется зеленая повестка. Доступ к финансированию для проектов или компаний, которые инвесторы не считают в достаточной степени экологически чистыми, снижается. Объем финансовых активов под управлением в соответствии со стратегиями ESG быстро растет. Например, в январе 2021 г. в письме генеральным директорам и инвесторам BlackRock (более $8,7 трлн активов под управлением, включая более $5 трлн пассивных фондов) предупреждал, что может вывести из дискреционных портфелей ценные бумаги тех компаний, которые не борются с изменением климата и не раскрывают экологические показатели. К концу 2020 г. более 3500 организаций подписали Принципы ответственного инвестирования, 206 банков подписали Принципы ответственной банковской деятельности, и список продолжает увеличиваться.\r\n\r\n##Россия: пикник на обочине\r\nРоссийские компании пока меньше подвержены ESG-давлению инвесторов, чем иностранные, поскольку у них изначально меньше доступа к дешевому финансированию с мировых рынков. Многие крупнейшие российские корпоративные заемщики под санкциями. Для остальных консенсус иностранных инвесторов о высоком страновом риске России оборачивается мягкими ограничениями, более высокими ставками и сравнительно низкими мультипликаторами. Многие крупные компании либо государственные, либо с концентрированной структурой собственности, а потому менее чувствительны к колебаниям капитализации и настроениям широких масс международных инвесторов. Доступ к финансированию на внутреннем российском рынке до настоящего времени не зависел от ESG-характеристик. В Европе принят колоссальный «зеленый пакет» восстановления экономики после пандемии, а в России государственные инвестиции в сфере энергетики скорее нацелены на инфраструктуру и надежность энергоснабжения, чем на развитие ВИЭ, сокращение выбросов и прочую ESG-тематику. На балансах российских банков и инвесторов много традиционных углеродоемких активов. \r\n\r\n>Структура экономики и социальные соображения не позволяют быстро заменить их зелеными.\r\n\r\n##Дома тесно\r\nКрупнейшим российским заемщикам недостаточно финансовых ресурсов только внутреннего \r\n\r\n>рынка: им нужен выход на мировые рынки, а значит, нужно уметь отвечать \r\n\r\nна неизбежные вопросы иностранных инвесторов об ESG. Например, долг «Газпрома» по МСФО на 30.09.2020 составлял 4,9 трлн руб. По нашим оценкам, основанным на совокупном объеме капитала банков и до различных корректировок с учетом риска, максимальный объем кредита одному заемщику, который российская банковская система может выдать без нарушения регуляторных нормативов, в настоящее время составляет около 2,6 трлн руб. (по состоянию на 1 декабря 2020 г.).\r\n\r\n##Российские банки: ESG-пробуждение\r\nИностранные инвесторы все внимательнее изучают ESG-профили российских банков-контрагентов, и некоторые крупные российские банки все внимательнее присматриваются к ESG. Например, Сбербанк (35% активов российской банковской системы) согласно новой стратегии планирует проводить ESG-оценку своего кредитного портфеля, сотрудничает с крупными клиентами по выработке ESG-стратегий. ВЭБ участвует в разработке зеленой таксономии. Появляются первые ESG-инструменты. Например, РЖД выпустила первые зеленые еврооблигации в 2019 г., первые зеленые рублевые облигации — в 2020 г. В конце 2020 г. группа «Сбер» выдала первый кредит с ESG-привязкой АФК «Система». Примеры кредитов международных банков с ESG-привязкой — пятилетнее предэкспортное финансирование «Русала» на $1085 млн, синдицированные кредиты «Металлоинвеста» на 200 млн евро и $100 млн, кредиты «Полиметалла» на общую сумму $155 млн.', 1, '2021-04-14 16:57:59', NULL, '2021-04-14 17:01:12', 'N', NULL, NULL);
/*!40000 ALTER TABLE `note` ENABLE KEYS */;

-- Dumping structure for table kuiqdb.user
DROP TABLE IF EXISTS `user`;
CREATE TABLE IF NOT EXISTS `user` (
  `UserId` bigint(20) NOT NULL AUTO_INCREMENT,
  `FirstName` varchar(60) NOT NULL,
  `MiddleName` varchar(60) DEFAULT NULL,
  `LastName` varchar(60) NOT NULL,
  `FullName` varchar(200) DEFAULT NULL,
  `Gender` enum('M','F','N') DEFAULT NULL,
  `Email` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'none@blank.org',
  `Password` varchar(32) NOT NULL DEFAULT '1234',
  `Salt` varchar(36) NOT NULL DEFAULT '',
  `CreatedBy` bigint(20) DEFAULT NULL,
  `CreatedDateTime` datetime DEFAULT CURRENT_TIMESTAMP,
  `LastUpdatedBy` bigint(20) DEFAULT NULL,
  `LastUpdatedDateTime` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `Deleted` enum('Y','N') DEFAULT 'N',
  `DeletedBy` bigint(20) DEFAULT NULL,
  `DeletedDateTime` datetime DEFAULT NULL,
  PRIMARY KEY (`UserId`) USING BTREE,
  UNIQUE KEY `Email` (`Email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Dumping data for table kuiqdb.user: ~12 rows (approximately)
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` (`UserId`, `FirstName`, `MiddleName`, `LastName`, `FullName`, `Gender`, `Email`, `Password`, `Salt`, `CreatedBy`, `CreatedDateTime`, `LastUpdatedBy`, `LastUpdatedDateTime`, `Deleted`, `DeletedBy`, `DeletedDateTime`) VALUES
	(1, 'Debadeep', NULL, 'Sen', 'Debadeep Sen', 'M', 'debadeep.sen@gmail.com', '066095301b66046b5b72a13da796ce41', '02df1aa0-3143-11ea-8d17-8cec4bb3f382', NULL, '2020-10-14 19:18:20', NULL, '2020-12-04 16:33:18', 'N', NULL, NULL),
	(2, 'Demo', NULL, 'User', 'Bot Demo', 'N', 'demo@user.us', '066095301b66046b5b72a13da796ce41', '02df1aa0-3143-11ea-8d17-8cec4bb3f382', NULL, '2020-12-04 16:31:19', NULL, '2021-01-22 11:15:13', 'N', NULL, NULL),
	(3, 'Demo', NULL, 'User 2', 'Demo User 2', 'F', 'de@mo.us', 'e33fb4c1fbb188735ddcdb3ba1f1cebb', '6EE02CD1-C277-4D9F-ACCD-23834BAB6FE4', NULL, '2020-12-04 16:44:32', NULL, NULL, 'N', NULL, NULL),
	(4, 'Alexander', NULL, 'Tiedemann', 'Alexander Tiedemann', 'M', 'alex@winden.org', '978d58a16f2b8a70cc172fb5d9516ed4', '6013afad-f296-4643-9df1-537f986399a7', NULL, '2020-12-04 16:59:02', NULL, NULL, 'N', NULL, NULL),
	(5, 'Debadeep', NULL, 'Sen', 'Debadeep Sen', 'M', 'debadeepsen19@gmail.com', '93875bf713c4189a93544b6c4960b457', '0b2aaf9d-aa2b-4710-97db-f350d410b6a3', NULL, '2020-12-05 14:46:49', NULL, NULL, 'N', NULL, NULL),
	(10, 'Debadeep', NULL, 'Sen', 'Debadeep Sen', 'M', 'ds1@gmail.com', '8c482618cfc0852189d79f85f62914c0', '4a76c13d-2075-4695-bd15-8cd307b96a6e', NULL, '2020-12-05 14:52:41', NULL, NULL, 'N', NULL, NULL),
	(11, 'Jonas', NULL, 'Kahnwald', 'Jonas Kahnwald', 'M', 'jk@winden.org', 'c6b90788946ded166b12d9f987bbc334', '2bca31e2-a256-4c0f-91d3-35873a4ee2b2', NULL, '2020-12-05 14:55:05', NULL, NULL, 'N', NULL, NULL),
	(12, 'D', NULL, 'S', 'D S', 'M', 'ds@ds.one', 'bc40490ca12654d225ea3ff4e2c5f139', 'e55090f7-c3b5-46ee-8481-b5c03d4446bc', NULL, '2020-12-05 15:00:16', NULL, NULL, 'N', NULL, NULL),
	(13, 'A', NULL, 'S', 'A S', 'M', 'as@as.com', '4cd74018a5100a3642080a3cbb35a51a', 'c7a412bd-bcab-4d26-b68e-80d07f653c5a', NULL, '2020-12-05 15:01:34', NULL, NULL, 'N', NULL, NULL),
	(14, 'K', NULL, 'S', 'K S', 'M', 'ks@ks.com', '7135a7a486256c6af2e0f9430cee3f2c', 'e67e1e9e-c644-4a50-bc74-9e5b7e458630', NULL, '2020-12-05 15:39:02', NULL, NULL, 'N', NULL, NULL),
	(15, 'L', NULL, 'S', 'L S', 'F', 'ls@ls.com', '0955460d4554c265498e7c20cc60e67a', '8d0cdb45-3056-442a-8b03-f17ecc339191', NULL, '2020-12-05 15:41:54', NULL, NULL, 'N', NULL, NULL),
	(16, 'Krishna', NULL, 'Attenborough', 'Krishna Attenborough', 'F', 'kat@online.uk', '7f8157bc405d99bd7044beb08d55336d', '414bcdea-bafc-4f6e-9528-86900489540b', NULL, '2020-12-05 15:44:30', NULL, NULL, 'N', NULL, NULL);
/*!40000 ALTER TABLE `user` ENABLE KEYS */;

